"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ern_core_1 = require("ern-core");
const getContainerMetadataPath_1 = require("./getContainerMetadataPath");
const fs_extra_1 = __importDefault(require("fs-extra"));
async function addContainerMetadata(conf) {
    const metadata = {
        ernVersion: ern_core_1.Platform.currentVersion,
        jsApiImpls: (await conf.composite.getJsApiImpls()).map((j) => j.toString()),
        miniApps: (await conf.composite.getMiniApps()).map((m) => m.packagePath.toString()),
        nativeDeps: conf.plugins.map((p) => `${p.name}@${p.version}`),
        platform: conf.targetPlatform,
    };
    const pathToMetadataFile = getContainerMetadataPath_1.getContainerMetadataPath(conf.outDir);
    return fs_extra_1.default.writeFile(pathToMetadataFile, JSON.stringify(metadata, null, 2));
}
exports.addContainerMetadata = addContainerMetadata;
//# sourceMappingURL=addContainerMetadata.js.map