"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ern_core_1 = require("ern-core");
const getAssetsPath_1 = require("./getAssetsPath");
const path_1 = __importDefault(require("path"));
function copyRnpmAssets(miniApps, compositeMiniAppDir, outDir, platform) {
    var _a, _b;
    const miniAppPaths = miniApps.length === 1 && miniApps[0].path
        ? [miniApps[0].path] // Case of local container for runner
        : miniApps.map((m) => m.path);
    for (const miniAppPath of miniAppPaths) {
        const packageJson = ern_core_1.readPackageJsonSync(miniAppPath);
        if ((_b = (_a = packageJson) === null || _a === void 0 ? void 0 : _a.rnpm) === null || _b === void 0 ? void 0 : _b.assets) {
            for (const assetDirectoryName of packageJson.rnpm.assets) {
                const source = path_1.default.join(assetDirectoryName, '*');
                const dest = getAssetsPath_1.getAssetsPath(platform, assetDirectoryName);
                ern_core_1.handleCopyDirective(miniAppPath, outDir, [{ source, dest }]);
            }
        }
    }
}
exports.copyRnpmAssets = copyRnpmAssets;
//# sourceMappingURL=copyRnpmAssets.js.map