import { NativePlatform } from 'ern-core';
/**
 * Get the native platform of a Container given its path.
 * The platform is retrieved from the Container metadata file if present.
 * If Container metadata is missing (ern < 0.17) or if the platform is missing
 * from the metadata (ern < 0.19.0) this function will fallback to infering
 * the Container platform
 * @param containerPath Local file system path to the Container
 */
export declare function getContainerPlatform(containerPath: string): NativePlatform;
