"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ern_core_1 = require("ern-core");
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
/**
 * Infer the native platform of a Container given its path.
 * This method could be deprecated at some point.
 * @param containerPath Local file system path to the Container
 */
function inferContainerPlatform(containerPath) {
    if (!fs_1.default.existsSync(containerPath)) {
        throw new Error(`${containerPath} does not exist`);
    }
    ern_core_1.log.warn(`Infering Container platform as no container platform metadata was found for this Container.
The Container was probably generated with an ern version < 0.19.0.
Please Consider regenerating it at some point with a newer version of ern.`);
    const buildGradlePath = path_1.default.join(containerPath, 'build.gradle');
    return fs_1.default.existsSync(buildGradlePath) ? 'android' : 'ios';
}
exports.inferContainerPlatform = inferContainerPlatform;
//# sourceMappingURL=inferContainerPlatform.js.map