"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ern_core_1 = require("ern-core");
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
async function reactNativeBundleAndroid({ bundleOutput, dev, outDir, sourceMapOutput, cwd, resetCache, }) {
    cwd = (cwd !== null && cwd !== void 0 ? cwd : process.cwd());
    const libSrcMainPath = path_1.default.join(outDir, 'lib', 'src', 'main');
    bundleOutput = (bundleOutput !== null && bundleOutput !== void 0 ? bundleOutput : path_1.default.join(libSrcMainPath, 'assets', 'index.android.bundle'));
    const assetsDest = path_1.default.join(libSrcMainPath, 'res', 'bundle');
    // Cleanup everything from 'res' bundle directory
    if (fs_1.default.existsSync(assetsDest)) {
        ern_core_1.shell.rm('-rf', assetsDest);
    }
    ern_core_1.shell.pushd(cwd);
    const entryFile = fs_1.default.existsSync(path_1.default.join(cwd, 'index.android.js'))
        ? 'index.android.js'
        : 'index.js';
    try {
        const result = await ern_core_1.reactnative.bundle({
            assetsDest,
            bundleOutput,
            dev: !!dev,
            entryFile,
            platform: 'android',
            resetCache,
            sourceMapOutput,
        });
        return result;
    }
    finally {
        ern_core_1.shell.popd();
    }
}
exports.reactNativeBundleAndroid = reactNativeBundleAndroid;
//# sourceMappingURL=reactNativeBundleAndroid.js.map